System.ServiceModel 4.0.0.0

This interface is an extensibility point that SecurityTokenManagers can implement to provide a default for the service endpoint (for example, a DNS identity). This is published as part of the WSDL for the service endpoint.

Provides the identity of an endpoint.

- Method
  4.0.0.0
  System.ServiceModel.EndpointIdentity ``

  The parameter contains the binding information of the endpoint, which is typically used in determining the for the endpoint. For example, if the binding is configured to do Kerberos-based authentication, the default identity returned will be a ServicePrincipalName (SPN) or UserPrincipalName (UPN).

  Gets the identity of the current endpoint, based on the security token requirements passed in.

  The of the current endpoint.

  The that describes security token requirements.